#include "pch.h"

constexpr wchar_t APPID[] = L"CEXT_TABLESORT";

IRXEntryModule* IRXEntryModule::m_instance;

IRXEntryModule::IRXEntryModule()
{
    IRXEntryModule::m_instance = this;
}

IRXEntryModule::~IRXEntryModule()
{
    IRXEntryModule::m_instance = nullptr;
}

void IRXEntryModule::initApp()
{
    OdDbTableMenu::rxInit();
    m_pAcDbTableMenuPtr = OdDbTableMenu::createObject();
    if (!icedAddObjectContextMenu(OdDbTable::desc(), m_pAcDbTableMenuPtr.get(), APPID))
        icedPrompt(_T("\nFailed to load menu"));
}

void IRXEntryModule::uninitApp()
{
    if (!icedRemoveObjectContextMenu(OdDbTable::desc(), m_pAcDbTableMenuPtr.get()))
        icedPrompt(_T("\nFailed to unload menu"));
}

IRXEntryModule* IRXEntryModule::get()
{
    return  IRXEntryModule::m_instance;
}

OdString IRXEntryModule::cmdGroup()
{
    static OdString group = OD_T("IRXCMD");
    return group;
}

ODRX_DEFINE_DYNAMIC_MODULE(IRXEntryModule);