#include "pch.h"
#include "OdDbTableMenu.h"
#include "DbTable.h"


ODRX_CONS_DEFINE_MEMBERS(OdDbTableMenu, IcEdUIContext, RXIMPL_CONSTR);

void* OdDbTableMenu::getMenuContext(const OdRxClass* pClass)
{
    OdStringArray menuStrings;
    menuStrings.append(L"Custom Entity OBJECT menu item 0");
    menuStrings.append(L"Custom Entity OBJECT menu item 1");

    // Create the menu for IntelliCAD to display.
    m_hm = ::CreatePopupMenu();
    for (unsigned j = 0; j < menuStrings.size(); ++j)
    {
        MENUITEMINFO mi = { sizeof(MENUITEMINFO), 0 };
        mi.fMask = MIIM_STRING;
        mi.fType = MFT_STRING;
        mi.wID = j;

        mi.dwTypeData = (LPTSTR)menuStrings.getAt(j).c_str();
        mi.cch = menuStrings.getAt(j).getLength();
        ::InsertMenuItem(m_hm, j, TRUE, &mi);
    }
    return &m_hm;
}

void OdDbTableMenu::onCommand(OdUInt32 menuPickIndex)
{
    OdString str;
    str.format(OD_T("\nonCommand %d"), menuPickIndex);
    icedPrompt(str);
}

void OdDbTableMenu::OnUpdateMenu()
{
    icedPrompt(OD_T("\n:OnUpdateMenu"));
}

IcEdUIContext::Position OdDbTableMenu::getPosition() const
{
    return IcEdUIContext::kEnd;
}

bool OdDbTableMenu::canShowMenuFor(OdSelectionSetIteratorPtr iter, CContextMenuTableEntry* pContextEntry, bool bCurrentShowState) const
{
    OdDbObjectId id = iter->id();
    return id.objectClass()->isDerivedFrom(OdDbTable::desc());
}

