// pch.h: This is a precompiled header file.
// Files listed below are compiled only once, improving build performance for future builds.
// This also affects IntelliSense performance, including code completion and many code browsing features.
// However, files listed here are ALL re-compiled if any one of them is updated between builds.
// Do not add files here that you will be updating frequently as this negates the performance advantage.

#pragma once

// add headers that you want to pre-compile here
#include "framework.h"

extern HINSTANCE _hdllInstance;

class ModuleResourceOverride
{
public:
    ModuleResourceOverride();
    ~ModuleResourceOverride();
private:
    HINSTANCE m_previousResourceInstance = NULL;
};

// TODO: reference additional headers your program requires here
#include "OdaCommon.h"
#include "OdArray.h"
#include "OdString.h"
#include "stringarray.h"

#define STL_USING_ALL
#include "OdaSTL.h"
#include "odadefs.h" 
#include "OdError.h"

#include "RxObject.h"
#include "RxModule.h"
#include "RxDynamicModule.h"

#include "IcApi.h"

#include "Ed/EdCommandStack.h"
#include "Ed/EdCommandContext.h"
#include "Ed/EdUserIO.h"

#include "DbCommandContext.h"
#include "DbUserIO.h"
#include "DbHostAppServices.h"
#include "DbTable.h"

#include "StaticRxObject.h"
#include "SmartPtr.h"
#include "SysVarDefs.h"

#include "icedsds.h"
#include "IcadDbHostApplicationServices.h"

#ifdef NDEBUG
#define assert(_Expression)     ((void)0)
#endif // DEBUG


#pragma comment( lib , "TD_Root.lib" )
#pragma comment( lib , "TD_DbRoot.lib" )
#pragma comment( lib , "TD_Alloc.lib" )
#pragma comment( lib , "TD_Db.lib" )
#pragma comment( lib , "TD_Ge.lib" )
#pragma comment( lib , "TD_Gs.lib" )
#pragma comment( lib , "TD_Gi.lib" )

#pragma comment( lib , "TD_DbCore.lib")
#pragma comment( lib , "TD_DbEntities.lib")


#pragma comment( lib , "sdsx64.lib")

#pragma comment( lib , "IrxSdsApi.lib")
#pragma comment( lib , "Sysvars.lib")
#pragma comment( lib , "IcadCore.lib")
#pragma comment( lib , "IcadCommon.lib")

#include "IrxEntrypoint.h"

